package com.oguerreiro.resilient.error;

public class InventoryImportOrganizationDontMatchRuntimeException extends ResilientRuntimeException {
  private static final String CODE = "E024";

  public InventoryImportOrganizationDontMatchRuntimeException(String inputDataUploadOrganizationCode, String uoCode) {
    super(
        "The InputDataUpload configured organization is NOT the same UO within the file. The configured organization code is ["
            + inputDataUploadOrganizationCode + "] and the file contains [" + uoCode + "].");

    addMessageArg(inputDataUploadOrganizationCode);
    addMessageArg(uoCode);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}
